--[[	PhantomPlates Utilities
	by SDPhantom
	https://www.wowinterface.com/forums/member.php?u=34145
	https://www.curseforge.com/members/sdphantomgamer/projects	]]
--------------------------------------------------------------------------

--------------------------
--[[	Namespace	]]
--------------------------
local AddOn=select(2,...);
AddOn.Utilities={};

----------------------------------
--[[	Shared Functions	]]
----------------------------------
function AddOn.Utilities.UnitNamePlateType(unit)
	return UnitIsUnit(unit,"player") and "player" or NamePlateDriverFrame:GetNamePlateTypeFromUnit(unit);
end

function AddOn.Utilities.UnitPowerColor(unit)
	local powertype,powertoken,r,g,b=UnitPowerType(unit);
	if PowerBarColor[powertoken] then return ColorMixin.GetRGB(PowerBarColor[powertoken]);
	elseif r and g and b then return r,g,b;
	else return ColorMixin.GetRGB(PowerBarColor[powertype] or PowerBarColor.MANA); end
end
